# Create User

## Create a new user

With this request, you are able to create new user.

<mark style="color:green;">`POST`</mark> <https://professional.signius.eu:8300/api/ra/users>

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Body**

| Name          | Type   | Description                        |
| ------------- | ------ | ---------------------------------- |
| `email`       | string | User email                         |
| `phoneNumber` | string | Phone number                       |
| `authToken`   | string | User password                      |
| firstName     | string | User's firstname                   |
| lastName      | string | User's lastname                    |
| citizenship   | string | Two uppercase letter as coutryname |
| language      | string | Two lowercase letters              |
| acceptTerms   | string |                                    |

**Response**

{% tabs %}
{% tab title="200: OK" %}

{% endtab %}
{% endtabs %}

For Example:

```json
{
  "email": "{{ra_user}}",
  "phoneNumber": "+48123456789",
  "authToken": "Pa$$word",
   "firstName": "John",
  "lastName": "Doe",
  "citizenship": "PL",
  "language": "pl",
  "acceptTerms": true
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.signius.eu/api/ra/create-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
